Page MenuHomePhabricator

CX2: Paragraphs remain highlighted after adding them to the translation
Closed, ResolvedPublic

Description

As users hover paragraphs to add to the translations those are highlighted (T187525).
The highlight is shown and hidden based on hover without issues. However, when adding a paragraph, the corresponding source paragraph remains highlighted, even when hovering a different paragraph as illustrated below.

When a paragraph is added to the translation, we should clear the highlighting of the corresponding source paragraph.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCX2: Fix sticky section highlight

Event Timeline

Pginer-WMF triaged this task as Medium priority.Mar 28 2018, 9:11 AM
Pginer-WMF created this task.
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.
Arrbee moved this task from Backlog to Scheduled on the Language-Team board.Apr 6 2018, 12:21 PM

Change 428960 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Fix sticky section highlight

https://gerrit.wikimedia.org/r/428960

Change 428960 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Fix sticky section highlight

https://gerrit.wikimedia.org/r/428960

Pginer-WMF closed this task as Resolved.Apr 26 2018, 10:21 AM
Pginer-WMF moved this task from QA to Done on the Language-2018-Apr-June board.